<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { getPageMetadata } from '../common/meta';
import {
  Hero,
  Pricing,
  Recognition,
  Tabs,
  VideoSpotlight,
} from '@/components/platform/index.vue';
import { NextStepAlt } from '@/components/common/index.vue';
import PlatformTable from '@/components/common/platform-table.vue';
export default Vue.extend({
  name: 'Platform',
  components: {
    NextStepAlt,
    PlatformTable,
    Hero,
    Tabs,
    VideoSpotlight,
    Recognition,
    Pricing,
  },
  layout: 'no-localized-link-mixin',
  async asyncData({ $content, i18n }: any) {
    try {
      const data = await $content(i18n.locale, `platform`).fetch();
      return { data, locale: i18n.locale };
    } catch (e) {
      throw new Error(e);
    }
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).data,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
});
</script>

<template>
  <div class="platform-page">
    <section class="hero">
      <Hero :data="data.hero" />
    </section>
    <section v-if="data.table_data" class="table-section">
      <PlatformTable :data="data.table_data" />
    </section>
    <Tabs v-if="data.benefits" :data="data.benefits" />
    <VideoSpotlight :data="data.video_spotlight" />
    <Recognition :data="data.recognition" />
    <Pricing :data="data.pricing" />
    <NextStepAlt />
  </div>
</template>

<style lang="scss" scoped>
.platform-page {
  overflow-x: hidden;
}

::-webkit-scrollbar {
  display: none;
}

.table-section {
  padding: 0 0 $spacing-16 0;
  background: $color-surface-700;
  color: $color-text-50;
  position: relative;
  width: 100%;

  &:deep {
    .table {
      border: 1px solid $color-surface-600;
      border-radius: 8px;
      display: flex;
      flex-wrap: nowrap;
      hyphens: auto; // break long words with a hyphen
    }

    .column:not(:first-of-type) {
      .features {
        border-left: 1px solid $color-surface-600;
      }
    }

    .stage-name {
      font-size: $text-body-2-bold;
      line-height: $line-height-body-2-bold;
      font-weight: $font-weight-bold;
      position: relative;
      padding-top: 28px;
      padding-bottom: $spacing-24;
      display: flex;
      flex-direction: column;
      justify-content: center;
      text-align: center;
    }

    .slp-icon {
      color: $color-surface-50;
      align-self: center;
    }

    .mature,
    .existing,
    .early {
      color: $color-accent-400;
      font-weight: $font-weight-bold;
    }

    .planned {
      color: $color-text-50;
      font-weight: $font-weight-bold;
      &:after {
        content: '*';
        display: inline-block;
        margin-left: -4px;
      }
    }

    .features {
      padding: $spacing-16;
      border-top: 1px solid $color-surface-600;
      min-height: 400px; // PATCH: CSS should be adjusted so that this is not hardcoded. We cannot depend on this since column content is dynamic.
      height: 100%;
      flex: 1;
      @media (max-width: $breakpoint-md) {
        min-height: 440px; // PATCH: CSS should be adjusted so that this is not hardcoded. We cannot depend on this since column content is dynamic.
      }

      a,
      p {
        font-size: $text-body-3;
        line-height: $line-height-body-3;
        margin-bottom: $spacing-8;
      }

      a:hover {
        text-decoration: underline;
      }
    }

    .table-footer {
      display: flex;
      justify-content: space-between;
      margin-top: 13px;
      // align-items: baseline;

      @media (max-width: $breakpoint-md) {
        flex-direction: column;
        width: 100%;
      }

      .slp-btn-tertiary {
        color: $color-text-50;
      }
    }
  }
  .table-duo-button {
    color: #89d6c8 !important;
    font-size: 14px;
    display: flex;
    align-items: flex-start;
    span {
      width: 8px;
      height: 8px;
      position: relative;
      svg {
        position: absolute;
        left: -1px;
        top: 0;
      }
    }
    &:hover,
    &:focus {
      text-decoration-color: #89d6c8;
    }
  }
}
</style>
